# \Thelia\Core\EventActionEvent

Class thrown on Thelia.action event

call setAction if action match yours

## Summary

Methods
Properties
Constants
__construct()
__set()
__get()
getRequest()
setErrorForm()
getErrorForm()
hasErrorForm()
No public properties found
No constants found
No protected methods found
$request
$errorForm
$parameters
N/A
No private methods found
No private properties found
N/A
abstract

File
  Core/Event/ActionEvent.php
Package
  \Default
Class hierarchy
  \Symfony\Component\EventDispatcher\Event
  \Thelia\Core\Event\ActionEvent

## Tags

None found

## Properties

### $request

    $request : \Thelia\Core\Event\Symfony\Component\HttpFoundation\Request

#### Type

\Thelia\Core\Event\Symfony\Component\HttpFoundation\Request

#

## Tags

None found

### $errorForm

    $errorForm

#

## Tags

None found

### $parameters

    $parameters

#

## Tags

None found

## Methods

### __construct()

    __construct(\Symfony\Component\HttpFoundation\Request $request)

#### Parameters

\Symfony\Component\HttpFoundation\Request | $request |

#

## Tags

None found

### __set()

    __set( $name,  $value)

#### Parameters

| $name |
| $value |

#

## Tags

None found

### __get()

    __get( $name)

#### Parameters

| $name |

#

## Tags

None found

### getRequest()

    getRequest() : \Symfony\Component\HttpFoundation\Request

#### Returns

\Symfony\Component\HttpFoundation\Request

#

## Tags

None found

### setErrorForm()

    setErrorForm(\Thelia\Form\BaseForm $form)

#### Parameters

\Thelia\Form\BaseForm | $form |

#

## Tags

None found

### getErrorForm()

    getErrorForm()

#

## Tags

None found

### hasErrorForm()

    hasErrorForm()

#

## Tags

None found

### ActionEvent.php